| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::message::message_ref Struct Reference

Reference to another message, e.g. a reply. More...

`#include <message.h>`

Collaboration diagram for dpp::message::message_ref:
[legend]

## Public Attributes

snowflake | channel_id
| ID of the originating message's channel.
bool | fail_if_not_exists
| when sending, whether to error if the referenced message doesn't exist instead of sending as a normal (non-reply) message. Default true.
snowflake | guild_id
| ID of the originating message's guild.
snowflake | message_id
| ID of the originating message.
message_ref_type | type {mrt_default}
| Message reference type, set to 1 to forward a message.

## Detailed Description

Reference to another message, e.g. a reply.

## Member Data Documentation

## ◆ channel_id

snowflake dpp::message::message_ref::channel_id

ID of the originating message's channel.

## ◆ fail_if_not_exists

bool dpp::message::message_ref::fail_if_not_exists

when sending, whether to error if the referenced message doesn't exist instead of sending as a normal (non-reply) message. Default true.

## ◆ guild_id

snowflake dpp::message::message_ref::guild_id

ID of the originating message's guild.

## ◆ message_id

snowflake dpp::message::message_ref::message_id

ID of the originating message.

## ◆ type

message_ref_type dpp::message::message_ref::type {mrt_default}

Message reference type, set to 1 to forward a message.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0